--- a/Source/p_inter.c
+++ b/Source/p_inter.c
@@ -402,7 +402,7 @@ void P_TouchSpecialThing(mobj_t *special
       if (!P_GiveBody (player, 25))
         return;
 
-      if (player->health < 25)
+      if (player->health < 50)
         player->message = s_GOTMEDINEED; // Ty 03/22/98 - externalized
       else
         player->message = s_GOTMEDIKIT; // Ty 03/22/98 - externalized
